{
  "dns": {
    "servers": [
      {
        "tag": "dns_proxy",
        "address": "https://1.1.1.1/dns-query",
        "address_resolver": "dns_resolver",
        "strategy": "ipv4_only",
        "detour": "🚀 节点选择"
      },
      {
        "tag": "dns_direct",
        "address": "h3://dns.alidns.com/dns-query",
        "address_resolver": "dns_resolver",
        "strategy": "ipv4_only",
        "detour": "direct"
      },
      {
        "tag": "dns_block",
        "address": "rcode://refused"
      },
      {
        "tag": "dns_resolver",
        "address": "223.5.5.5",
        "strategy": "ipv4_only",
        "detour": "direct"
      },
      {
        "tag": "dns_proxy_netflix",
        "address": "tls://8.8.8.8",
        "detour": "🎥 奈飞视频"
      }
    ],
    "rules": [
      {
        "outbound": "any",
        "server": "dns_resolver"
      },
      {
        "clash_mode": "direct",
        "server": "dns_direct"
      },
      {
        "clash_mode": "global",
        "server": "dns_proxy"
      },
      {
        "process_name": [
          "TencentMeeting",
          "NemoDesktop",
          "ToDesk",
          "ToDesk_Service",
          "WeChat",
          "Tailscale",
          "wireguard-go",
          "Tunnelblick",
          "softwareupdated",
          "kubectl"
        ],
        "server": "dns_direct"
      },
      {
        "domain_suffix": [
          "icloudnative.io",
          "fuckcloudnative.io",
          "sealos.io",
          "cdn.jsdelivr.net"
        ],
        "server": "dns_direct"
      },
      {
        "process_name": [
          "DropboxMacUpdate",
          "Dropbox"
        ],
        "server": "dns_proxy"
      },
      {
        "package_name": [
          "com.google.android.youtube",
          "com.android.vending",
          "org.telegram.messenger",
          "org.telegram.plus"
        ],
        "server": "dns_proxy"
      },
      {
        "rule_set": [
          "Netflix-WgetCloud"
        ],
        "server": "dns_proxy_netflix"
      },
      {
        "rule_set": "geosite-geolocation-!cn",
        "server": "dns_proxy"
      },
      {
        "rule_set": "Global",
        "server": "dns_proxy"
      },
      {
        "rule_set": [
          "YouTube",
          "Telegram"
        ],
        "server": "dns_proxy"
      }
    ],
    "final": "dns_direct"
  },
  "ntp": {
    "enabled": true,
    "server": "time.apple.com",
    "server_port": 123,
    "interval": "30m0s",
    "detour": "direct"
  },
  "inbounds": [
    {
      "type": "tun",
      "inet4_address": "198.18.0.1/16",
      "auto_route": true,
      "exclude_package": [
        "cmb.pb",
        "cn.gov.pbc.dcep",
        "com.MobileTicket",
        "com.adguard.android",
        "com.ainemo.dragoon",
        "com.alibaba.android.rimet",
        "com.alicloud.databox",
        "com.amazing.cloudisk.tv",
        "com.autonavi.minimap",
        "com.bilibili.app.in",
        "com.bishua666.luxxx1",
        "com.cainiao.wireless",
        "com.chebada",
        "com.chinamworld.main",
        "com.cmbchina.ccd.pluto.cmbActivity",
        "com.coolapk.market",
        "com.ctrip.ct",
        "com.dianping.v1",
        "com.douban.frodo",
        "com.eg.android.AlipayGphone",
        "com.farplace.qingzhuo",
        "com.hanweb.android.zhejiang.activity",
        "com.leoao.fitness",
        "com.lucinhu.bili_you",
        "com.mikrotik.android.tikapp",
        "com.moji.mjweather",
        "com.motorola.cn.calendar",
        "com.motorola.cn.lrhealth",
        "com.netease.cloudmusic",
        "com.sankuai.meituan",
        "com.sina.weibo",
        "com.smartisan.notes",
        "com.sohu.inputmethod.sogou.moto",
        "com.sonelli.juicessh",
        "com.ss.android.article.news",
        "com.ss.android.lark",
        "com.ss.android.ugc.aweme",
        "com.tailscale.ipn",
        "com.taobao.idlefish",
        "com.taobao.taobao",
        "com.tencent.mm",
        "com.tencent.mp",
        "com.tencent.soter.soterserver",
        "com.tencent.wemeet.app",
        "com.tencent.weread",
        "com.tencent.wework",
        "com.ttxapps.wifiadb",
        "com.unionpay",
        "com.unnoo.quan",
        "com.wireguard.android",
        "com.xingin.xhs",
        "com.xunmeng.pinduoduo",
        "com.zui.zhealthy",
        "ctrip.android.view",
        "io.kubenav.kubenav",
        "org.geekbang.geekTime",
        "tv.danmaku.bili"
      ],
      "stack": "mixed",
      "sniff": true,
      "sniff_override_destination": true
    },
    {
      "type": "socks",
      "tag": "socks-in",
      "listen": "::",
      "listen_port": 5353
    }
  ],
  "outbounds": [
    {
      "type": "selector",
      "tag": "自建服务器",
      "outbounds": [
        "tuic-out-us",
        "tuic-out-sg"
      ],
      "default": "tuic-out-us"
    },
    {
      "type": "tuic",
      "tag": "tuic-out-sg",
      "server": "mainnode.xorbit.link",
      "server_port": 443,
      "uuid": "1ddd6055-bc88-4086-a24a-b97324adf140",
      "password": "ckdoacnioemskiwn",
      "congestion_control": "bbr",
      "tls": {
        "enabled": true,
        "server_name": "mainnode.xorbit.link",
        "alpn": [
          "h3"
        ]
      }
    },
    {
      "type": "tuic",
      "tag": "tuic-out-us",
      "server": "usnode1.xorbit.link",
      "server_port": 8444,
      "uuid": "1ddd6055-bc88-4086-a24a-b97324adf140",
      "password": "ckdoacnioemskiwn",
      "congestion_control": "bbr",
      "tls": {
        "enabled": true,
        "server_name": "usnode1.xorbit.link",
        "alpn": [
          "h3"
        ]
      }
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4032,
      "tag": "🇭🇰 香港 01",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4033,
      "tag": "🇭🇰 香港 02",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4034,
      "tag": "🇭🇰 香港 03",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4035,
      "tag": "🇨🇳 台湾 01",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4036,
      "tag": "🇨🇳 台湾 02",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4037,
      "tag": "🇨🇳 台湾 03",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4038,
      "tag": "🇸🇬 新加坡 01",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4039,
      "tag": "🇸🇬 新加坡 02",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4040,
      "tag": "🇸🇬 新加坡 03",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4041,
      "tag": "🇯🇵 日本 01",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4042,
      "tag": "🇯🇵 日本 02",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4043,
      "tag": "🇯🇵 日本 03",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4044,
      "tag": "🇺🇲 美国 01",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4045,
      "tag": "🇺🇲 美国 02",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "password": "77ca976f-494f-3d50-9da8-b1849cc3da1a",
      "server": "43.248.116.12",
      "server_port": 4046,
      "tag": "🇺🇲 美国 03",
      "tls": {
        "enabled": true,
        "server_name": "baidu.com",
        "insecure": true
      },
      "type": "trojan"
    },
    {
      "type": "selector",
      "tag": "🚀 节点选择",
      "outbounds": [
        "🇭🇰 香港 01",
        "🇭🇰 香港 02",
        "🇭🇰 香港 03",
        "🇨🇳 台湾 01",
        "🇨🇳 台湾 02",
        "🇨🇳 台湾 03",
        "🇸🇬 新加坡 01",
        "🇸🇬 新加坡 02",
        "🇸🇬 新加坡 03",
        "🇯🇵 日本 01",
        "🇯🇵 日本 02",
        "🇯🇵 日本 03",
        "🇺🇲 美国 01",
        "🇺🇲 美国 02",
        "🇺🇲 美国 03",
        "自建服务器"
      ],
      "default": "自建服务器"
    },
    {
      "type": "selector",
      "tag": "🎥 奈飞视频",
      "outbounds": [
        "🇭🇰 香港 01",
        "🇭🇰 香港 02",
        "🇭🇰 香港 03",
        "🇨🇳 台湾 01",
        "🇨🇳 台湾 02",
        "🇨🇳 台湾 03",
        "🇸🇬 新加坡 01",
        "🇸🇬 新加坡 02",
        "🇸🇬 新加坡 03",
        "🇯🇵 日本 01",
        "🇯🇵 日本 02",
        "🇯🇵 日本 03",
        "🇺🇲 美国 01",
        "🇺🇲 美国 02",
        "🇺🇲 美国 03"
      ],
      "default": "🇭🇰 香港 01"
    },
    {
      "type": "selector",
      "tag": "🎯 全球直连",
      "outbounds": [
        "🚀 节点选择",
        "direct"
      ],
      "default": "direct"
    },
    {
      "type": "selector",
      "tag": "🐟 漏网之鱼",
      "outbounds": [
        "🚀 节点选择",
        "direct"
      ],
      "default": "direct"
    },
    {
      "type": "direct",
      "tag": "direct"
    },
    {
      "type": "block",
      "tag": "block"
    },
    {
      "type": "dns",
      "tag": "dns-out"
    }
  ],
  "route": {
    "rules": [
      {
        "protocol": "dns",
        "outbound": "dns-out"
      },
      {
        "clash_mode": "direct",
        "outbound": "direct"
      },
      {
        "clash_mode": "global",
        "outbound": "🚀 节点选择"
      },
      
      {
        "rule_set": [
          "Netflix-WgetCloud",
          "Netflix-WgetCloud-IP"

        ],
        "outbound": "🎥 奈飞视频"
      },
      {
        "domain_suffix": [
          "icloudnative.io",
          "fuckcloudnative.io",
          "sealos.io",
          "cdn.jsdelivr.net"
        ],
        "outbound": "direct"
      },
      {
        "process_name": [
          "TencentMeeting",
          "NemoDesktop",
          "ToDesk",
          "ToDesk_Service",
          "WeChat",
          "OpenLens",
          "Tailscale",
          "wireguard-go",
          "Tunnelblick",
          "softwareupdated",
          "kubectl"
        ],
        "outbound": "direct"
      },
      {
        "protocol": "quic",
        "outbound": "block"
      },
      {
        "inbound": "socks-in",
        "outbound": "🚀 节点选择"
      },
      {
        "rule_set": [
          "WeChat",
          "Bilibili"
        ],
        "outbound": "direct"
      },
      {
        "domain_suffix": [
          "depay.one",
          "orbstack.dev"
        ],
        "outbound": "🚀 节点选择"
      },
      {
        "process_name": [
          "DropboxMacUpdate",
          "Dropbox"
        ],
        "outbound": "🚀 节点选择"
      },
      {
        "package_name": [
          "com.google.android.youtube",
          "com.android.vending",
          "org.telegram.messenger",
          "org.telegram.plus",
          "com.google.android.googlequicksearchbox",
          "app.rvx.android.youtube",
          "com.mudvod.video",
          "com.fox2code.mmm",
          "com.twitter.android",
          "org.joinmastodon.tooot"
        ],
        "outbound": "🚀 节点选择"
      },
      {
        "rule_set": "custom_rules",
        "outbound": "🚀 节点选择"
      },
      {
        "domain": "accounts.google.com",
        "domain_suffix": [
          "sourceforge.net",
          "fhjasokiwq.com"
        ],
        "outbound": "🚀 节点选择"
      },
      {
        "domain_suffix": "cloud.sealos.io",
        "outbound": "direct"
      },
      {
        "type": "logical",
        "mode": "and",
        "rules": [
          {
            "rule_set": "geosite-geolocation-!cn"
          },
          {
            "rule_set": "geoip-cn",
            "invert": true
          }
        ],
        "outbound": "🚀 节点选择"
      },
      {
        "rule_set": "Global",
        "outbound": "🚀 节点选择"
      },
      {
        "rule_set": "geoip-cn",
        "outbound": "direct"
      },
      {
        "ip_is_private": true,
        "outbound": "direct"
      },
      {
        "rule_set": [
          "YouTube",
          "Telegram"
        ],
        "outbound": "🚀 节点选择"
      }
    ],
    "rule_set": [
      {
        "type": "remote",
        "tag": "geosite-geolocation-!cn",
        "format": "binary",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/SagerNet/sing-geosite/rule-set/geosite-geolocation-!cn.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geoip-cn",
        "format": "binary",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/SagerNet/sing-geoip/rule-set/geoip-cn.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geoip-netflix",
        "format": "binary",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/MetaCubeX/meta-rules-dat/sing/geo/geoip/netflix.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "Global",
        "format": "source",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/yangchuansheng/sing-box-geosite/main/rule/Global.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "Netflix-WgetCloud",
        "format": "source",
        "url": "https://dev.xorbit.me/25e581b6-de5d-4878-8eda-79a22a079ada/singbox_rules_netflix.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "Netflix-WgetCloud-IP",
        "format": "source",
        "url": "https://dev.xorbit.me/25e581b6-de5d-4878-8eda-79a22a079ada/singbox_rules_netflix_ip.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "custom_rules",
        "format": "source",
        "url": "https://dev.xorbit.me/25e581b6-de5d-4878-8eda-79a22a079ada/singbox_rules_custom.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "YouTube",
        "format": "source",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/yangchuansheng/sing-box-geosite/main/rule/YouTube.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "OpenAI",
        "format": "source",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/yangchuansheng/sing-box-geosite/main/rule/OpenAI.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "TikTok",
        "format": "source",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/yangchuansheng/sing-box-geosite/main/rule/TikTok.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "Telegram",
        "format": "source",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/yangchuansheng/sing-box-geosite/main/rule/Telegram.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "Netflix",
        "format": "source",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/yangchuansheng/sing-box-geosite/main/rule/Netflix.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "WeChat",
        "format": "source",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/yangchuansheng/sing-box-geosite/main/rule/WeChat.json",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "Bilibili",
        "format": "source",
        "url": "https://mirror.ghproxy.com/https://raw.githubusercontent.com/yangchuansheng/sing-box-geosite/main/rule/Bilibili.json",
        "download_detour": "direct"
      }
    ],
    "final": "direct",
    "find_process": true,
    "auto_detect_interface": true
  },
  "experimental": {
    "cache_file": {
      "enabled": true
    },
    "clash_api": {
      "external_controller": "0.0.0.0:9090",
      "external_ui": "metacubexd",
      "external_ui_download_url": "https://github.com/MetaCubeX/metacubexd/archive/refs/heads/gh-pages.zip",
      "external_ui_download_detour": "🚀 节点选择",
      "default_mode": "rule"
    }
  }
}